---
title: Decentralized Protocols
author: Timothy Rogers
type: post
date: 2023-05-03
url: /2023/05/decentralized-protocols/
categories:
  - Personal

---

There is a lot of stuff going on in the decentralized space lately, and I am excited about it. However, with tons of these protocols coming up, it is getting plagued by so many people suffering from the same old issue of "not invented here" or "but what's wrong with this old tested protocol," and I will admit that I am biased. I love ActivityPub as it is a long-lasting protocol that tons of software has been built on top of and has stood a good test of time. Yes, it doesn't support "encryption," but it is a SOCIAL MEDIA protocol and not one for secure communication; it is designed for us to do what social media was invented for, with us all shouting into the void with people noticing us.

### Decentralization Confusion
So we have been seeing a large influx of users from sites like Twitter, but it hasn't been without issues. The major one is that there have been a lot of concerns from non-tech users not understanding the nature of decentralization and hesitancy to join a server and have it be gone the next day. With all that said, Mastodon is considering setting up a way to try and simplify sign-ups. Yet, older users are concerned about pushing their instance by default and rumoring about pushing out a few other changes.

The push for people to sign up on the mastodon.social site itself would create a slight concern to me if it weren't because it is somewhat easy for users to change and migrate their followers to other instances. I also see the push to recommend their instance for brand new users, as there have been a lot of instances becoming flakey and shutting down or becoming overwhelmed with moderation issues. So having seen many users join a server that gets shut down within a short time after signing up and having no time to move to a new instance because the old one is already gone is an issue. That said, I understand some of their reasoning, even if I disagree with parts of it. We should also allow them to show us what new features they plan on helping with understanding.

### Alternative Protocol Drama
I also don't fully get the hate on bashing all the newer protocols people are bringing up. I am skeptical of protocols that don't start open or have a system that allows them to mark an instance as "official" or not. However, it is essential to at least look at and explore these other protocols being developed and see what features we can take to improve the ones we like or help build bridges like Matrix, with tons of bridges to other chat platforms.

I have been enjoying testing out and exploring other protocols like nostr, which is open works based on relays where you own your identity, but your posts are delivered through relays, but your account is uniquely yours. I see some similarities to the at protocol that Bluesky is developing, but they keep a sense of control over the system and have some very vague terms and ideals that I am not entirely behind. So it is essential to look at these other protocols and see what we can learn from them and be willing to keep an open mind and open to allowing bridging between them for those who prefer one over the other.

### Why It Matters
This is a great opportunity right now, where people are finally telling corporations we want to be in control of our data and use open standards. We are still the minority, but we have the spotlight right now, and we can keep screaming and cement our place as a real contender for privacy and data ownership. Right now is a big time for us because ActivityPub has been around for years, and we are finally getting noticed, and we should do our best to make it the place for people to want to use. Remember, we are stronger together, but decentralized and community-driven, not money driven.